Flecs: ecs_metric_desc_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_metric_desc_t Struct Reference
C API » Addons » Metrics

Used with ecs_metric_init() to create metric. More...

`#include <metrics.h>`

## Public Attributes
int32_t | _canary
| Used for validity testing.
ecs_entity_t | entity
| Entity associated with metric.
ecs_entity_t | member
| Entity associated with member that stores metric value.
const char * | dotmember
| Member dot expression.
ecs_id_t | id
| Tracks whether entities have the specified component ID.
bool | targets
| If id is a (R, *) wildcard and relationship R has the OneOf property, setting this value to true will track individual targets.
ecs_entity_t | kind
| Must be EcsGauge, EcsCounter, EcsCounterIncrement, or EcsCounterId.
const char * | brief
| Description of metric.

## Detailed Description

Used with ecs_metric_init() to create metric.

Definition at line 76 of file metrics.h.

## Member Data Documentation

## ◆ _canary

int32_t ecs_metric_desc_t::_canary

Used for validity testing.

Do not set.

Definition at line 77 of file metrics.h.

## ◆ brief

const char* ecs_metric_desc_t::brief

Description of metric.

Will only be set if FLECS_DOC addon is enabled.

Definition at line 105 of file metrics.h.

## ◆ dotmember

const char* ecs_metric_desc_t::dotmember

Member dot expression.

Can be used instead of member and supports nested members. Must be set together with id and should not be set at the same time as member.

Definition at line 89 of file metrics.h.

## ◆ entity

ecs_entity_t ecs_metric_desc_t::entity

Entity associated with metric.

Definition at line 80 of file metrics.h.

## ◆ id

ecs_id_t ecs_metric_desc_t::id

Tracks whether entities have the specified component ID.

Must not be set at the same time as member.

Definition at line 93 of file metrics.h.

## ◆ kind

ecs_entity_t ecs_metric_desc_t::kind

Must be EcsGauge, EcsCounter, EcsCounterIncrement, or EcsCounterId.

Definition at line 102 of file metrics.h.

## ◆ member

ecs_entity_t ecs_metric_desc_t::member

Entity associated with member that stores metric value.

Must not be set at the same time as id. Cannot be combined with EcsCounterId.

Definition at line 84 of file metrics.h.

## ◆ targets

bool ecs_metric_desc_t::targets

If id is a (R, *) wildcard and relationship R has the OneOf property, setting this value to true will track individual targets.

If the kind is EcsCounterId and the id is a (R, *) wildcard, this value will create a metric per target.

Definition at line 99 of file metrics.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/metrics.h